struct VertexInputType
{
    float4 position : POSITION;
	float4 color : COLOR;
	float2 size: SIZE;
	float angle: PSIZE;
};

VertexInputType ParticleVertexShader(VertexInputType input)
{
    return input;
}